=== debian/changelog ===
ros-one-rosx-introspection (2.0.1-1jammy.20251023.0215) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 23 Oct 2025 02:15:44 +0000

ros-one-rosx-introspection (2.0.1-0jammy) jammy; urgency=high

  * Merge pull request #21 <https://github.com/facontidavide/rosx_introspection/issues/21> from bryzhao/fix/scikit-build-core-compatibility
    Fix CMakeLists to support scikit-build-core installations
  * Fix CMakeLists to support scikit-build-core installations
  * Merge pull request #20 <https://github.com/facontidavide/rosx_introspection/issues/20> from nealtanner/bugfix/mac-compliation
    fix compilation errors on mac
  * replace sprintf with snprintf
  * inline vs constexpr
  * Contributors: Bryan Zhao, Davide Faconti, Neal Tanner

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 01 Oct 2025 00:00:00 -0000

ros-one-rosx-introspection (2.0.0-0jammy) jammy; urgency=high

  * optionally remove JSON support
  * new formatting
  * fix memory and add README
  * add python binding
  * NanoCDR
  * Merge pull request #16 <https://github.com/facontidavide/rosx_introspection/issues/16> from traversaro/patch-1
    Add missing include of functional header in message_definition_cache.cpp
  * Fix issue #13 <https://github.com/facontidavide/rosx_introspection/issues/13>
  * Merge pull request #11 <https://github.com/facontidavide/rosx_introspection/issues/11> from valgur/bugfix/clang
    Fix ros_parser.cpp compilation failures on Clang
  * Contributors: Davide Faconti, Martin Valgur, Silvio Traversaro

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 24 Sep 2025 00:00:00 -0000

ros-one-rosx-introspection (1.0.2-0jammy) jammy; urgency=high

  * bug fix
  * add unit tests
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 28 Jul 2024 00:00:00 -0000

ros-one-rosx-introspection (1.0.1-0jammy) jammy; urgency=high

  * use CPM to download dependenies
  * Merge pull request #9 <https://github.com/facontidavide/rosx_introspection/issues/9> from valgur/feature/cmake-improvements
  * Contributors: Davide Faconti, Martin Valgur

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 29 Jun 2024 00:00:00 -0000

ros-one-rosx-introspection (1.0.0-0jammy) jammy; urgency=high

  * New version including JSON conversion
  * Contributors: Basavaraj-PN, Davide Faconti, ahmad-ra

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 26 Jun 2024 00:00:00 -0000
