=== debian/control ===
Source: ros-one-rosx-introspection
Section: misc
Priority: optional
Maintainer: Davide Faconti <davide.faconti@gmail.com>
Build-Depends: debhelper (>= 9.0.0), rapidjson-dev, ros-one-catkin, ros-one-roscpp, ros-one-roscpp-serialization
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-rosx-introspection
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rapidjson-dev, ros-one-roscpp, ros-one-roscpp-serialization
Description: Parse any ROS/ROS2 message without compile-time information
