## ros-one-rosx-introspection 2.1.0-0noble.20260222.2051

=== CMakeLists.txt ===
--- 
+++ 
@@ -37,6 +37,7 @@
     src/ros_parser.cpp
     src/deserializer.cpp
     src/serializer.cpp
+    src/msgpack_utils.cpp
     ${EXTRA_SRC}
     )
 
@@ -66,7 +67,11 @@
 
     target_compile_definitions(rosx_introspection PRIVATE ROSX_HAS_JSON)
     if(NOT USING_ROS2)
-        target_link_libraries(rosx_introspection PRIVATE rapidjson)
+        if(TARGET rapidjson)
+            target_link_libraries(rosx_introspection PRIVATE rapidjson)
+        elseif(RapidJSON_INCLUDE_DIRS)
+            target_include_directories(rosx_introspection PRIVATE ${RapidJSON_INCLUDE_DIRS})
+        endif()
     endif()
 
 endif(ROSX_HAS_JSON)
@@ -80,6 +85,8 @@
         find_package(sensor_msgs REQUIRED)
         find_package(geometry_msgs REQUIRED)
         find_package(ament_cmake_gtest REQUIRED)
+
+        set(TESTING_DEPENDENCIES sensor_msgs geometry_msgs)
 
         ament_add_gtest(rosx_introspection_test
             test/test_parser.cpp
@@ -110,7 +117,7 @@
 
 if(USING_ROS2)
     ament_export_targets(rosx_introspectionTargets HAS_LIBRARY_TARGET)
-    ament_export_dependencies(ament_index_cpp rosbag2_cpp)
+    ament_export_dependencies(ament_index_cpp rosbag2_cpp ${TESTING_DEPENDENCIES})
     ament_package()
 endif(USING_ROS2)
